/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2006 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *  Copyright (C) 2009 Alpha Project Co., Ltd.
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: $
 */

#ifndef _TINET_SYS_CONFIG_H_
#define _TINET_SYS_CONFIG_H_

/*
 *  ǡ (ͥåȥ󥿥ե) ˴ؤ
 */

/*#define IF_ED_CFG_ACCEPT_ALL		 ޥ㥹ȡ顼ե졼ȤϥȤ򳰤*/

/*
 *  ͥåȽϻˡNIC  net_buf ˻ꤹ롣
 *
 *  : ʲλϡǤꡢif_ed Ǥϡ
 *        ʤΤǡʲΥȤ򳰤ƤϤʤʤ
 */

/*#define ETHER_NIC_CFG_RELEASE_NET_BUF*/

/*
 *  NIC (LAN91C111) ˴ؤ
 */

#define TMO_IF_ED_GET_NET_BUF	1					/* [ms] net_buf ॢ	*/
#define TMO_IF_ED_XMIT			(2*IF_TIMER_HZ)		/* [s] ॢ			*/


#define ED_BASE_ADDRESS		0xA8000000		/* NIC Υ쥸١ɥ쥹 */

#define INHNO_IF_ED			INT_ETHER		/* INT8 */


/*
 *  JSP-1.4.2 ʹߤǤϡߥϥɥϿˡѹ졢
 *  ߥץ饤ƥ٥ꤹɬפ롣
 */

#define ED_IPM					8

/*  
 * ߥϥɥ¹γߥޥ
 * ¾γߤޥ뤿  
 * ʬƱ٥γ׵֥å뤿ᡢ
 * 嵭γ׵٥꣱Ĺ⤤٥ꤹ롣
 */
#define if_ed_handler_intmask	8

#ifndef _MACRO_ONLY

#if TKERNEL_PRVER < 0x1042u	/* JSP-1.4.2  */

/*
 *  JSP-1.4.2 ǤϡIPM 򥨥顼ȯʤ褦롣
 */

typedef UINT	IPM;

#endif	/* of #if TKERNEL_PRVER < 0x1042u */

/*
 *  ؿ
 */
extern void ed_ena_inter (IPM ipm);
extern IPM ed_dis_inter (void);
extern void ed_bus_init (void);
extern void ed_inter_init (void);

#endif	/* of #ifndef _MACRO_ONLY */

#endif /* _TINET_SYS_CONFIG_H_ */
